SearchSource (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface SearchSource

- All Known Subinterfaces:
    SourcePackage
  All Known Implementing Classes:
    SourcePackageImpl

      public interface SearchSource

  Specifies a search for source information of a track in a material package or source package.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FindSourceInformation>` | `searchSource(int trackID, long offset, PackageKind packageKind, CriteriaType mediaCriteria, OperationChoice operationChoice)` Returns the source information for a track in a material package or source package.

- - ### Method Detail

    - #### searchSource

          List<FindSourceInformation> searchSource(@TrackID
                                                   int trackID,
                                                   @PositionType
                                                   long offset,
                                                   PackageKind packageKind,
                                                   CriteriaType mediaCriteria,
                                                   OperationChoice operationChoice)
                                            throws NullPointerException,
                                                   InvalidPackageTypeException,
                                                   TraversalNotPossibleException

      Returns the source information for a track in a material package or source package. The method follows the source clip references in the specified track until it encounters the kind of package specified in the package kind parameter.

      This function cannot be used on a composition package and is not intended to be called iteratively.

      Parameters:
        `trackID` - Track to find source information for.
        `offset` - Offset into the track.
        `packageKind` - Kind of package to search for.
        `mediaCriteria` - Media criteria to match in the search.
        `operationChoice` - Operation choice.
      Returns:
        List of source information matching the given search criteria.
      Throws:
        `NullPointerException` - One or more of the arguments is `null`.
        `InvalidPackageTypeException` - The given package type is not valid.
        `TraversalNotPossibleException` - A package of the given kind cannot be found.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.